org.apache.lucene.queries.function

## Class FunctionQuery.FunctionWeight

- java.lang.Object
- - org.apache.lucene.search.Weight
  - - org.apache.lucene.queries.function.FunctionQuery.FunctionWeight

All Implemented Interfaces:
  SegmentCacheable

Enclosing class:
  FunctionQuery

    protected class FunctionQuery.FunctionWeight
    extends Weight

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.search.Weight

`Weight.DefaultBulkScorer`

### Field Summary

Fields
`protected float` `boost`
`protected Map` `context`
`protected IndexSearcher` `searcher`

### Fields inherited from class org.apache.lucene.search.Weight

`parentQuery`

### Constructor Summary

Constructors
Constructor and Description
`FunctionWeight(IndexSearcher searcher, float boost)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Explanation` `explain(LeafReaderContext context, int doc)`
`void` `extractTerms(Set<Term> terms)`
`boolean` `isCacheable(LeafReaderContext ctx)`
`Scorer` `scorer(LeafReaderContext context)`

### Methods inherited from class org.apache.lucene.search.Weight

`bulkScorer, getQuery, matches, scorerSupplier`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### searcher

    protected final IndexSearcher searcher

#### boost

    protected final float boost

#### context

    protected final Map context

### Constructor Detail

#### FunctionWeight

    public FunctionWeight(IndexSearcher searcher,
                          float boost)
                   throws IOException

Throws:
  `IOException`

### Method Detail

#### extractTerms

    public void extractTerms(Set<Term> terms)

Specified by:
  `extractTerms` in class `Weight`

#### scorer

    public Scorer scorer(LeafReaderContext context)
                  throws IOException

Specified by:
  `scorer` in class `Weight`
Throws:
  `IOException`

#### isCacheable

    public boolean isCacheable(LeafReaderContext ctx)

#### explain

    public Explanation explain(LeafReaderContext context,
                               int doc)
                        throws IOException

Specified by:
  `explain` in class `Weight`
Throws:
  `IOException`